import { select, arc } from 'd3';


// // import { selection, select as d3Select } from 'd3-selection';
// // import 'd3-transition';

// // import { select, arc } from 'd3';
// import { selection, select, arc, transition } from 'd3';
// // import { selection, select as d3Select } from 'd3-selection';
// // import 'd3-transition';
// // import {selection} from "d3-selection";
// // import selection_interrupt from "./interrupt";
// // import selection_transition from "./transition";

// import { arc } from 'd3';
// import { select, Selection } from 'd3';
// // import { transition, Transition } from 'd3';


const svg = select('svg');

const height = parseFloat(svg.attr('height'));
const width  = +svg.attr('width');

const g = svg.append('g')
	.attr('transform', 'translate(' + width/2 + ',' + height/2 +' )');

const circle = g.append('circle')
	.attr('r', height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius  = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYOffset = -70;

const eyesGroup = g
	.append('g')
		.attr('transform', 'translate(0,' +  eyeYOffset +')')
		.attr('fill', 'red');

const leftEye = eyesGroup
	.append('circle')
  	.attr('r', eyeRadius)
		.attr('cx', - eyeSpacing);

const rightEye = eyesGroup
	.append('circle')
  	.attr('r', eyeRadius)
		.attr('cx', eyeSpacing);

const eyebrowsGroup = eyesGroup
	.append('g')
		.attr('transform', 'translate(0,' +  eyebrowYOffset +')')
		.attr('fill', 'gray');

eyebrowsGroup
	.transition().duration(400)
		.attr('transform', 'translate(0,' +  (eyebrowYOffset-50) +')')
	.transition().duration(1000)
		.attr('transform', 'translate(0,' +  (eyebrowYOffset) +')');

const leftEyebrow = eyebrowsGroup
	.append('rect')
		.attr('x', - eyeSpacing - eyebrowWidth/2)
		.attr('width', eyebrowWidth)
		.attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsGroup
	.append('rect')
    .attr('x', eyeSpacing - eyebrowWidth/2)
		// .attr('y', eyebrowYOffset + 70)
		// .attr('y', 0)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

	// .transition().duration(400)
	// 	.attr('y', eyebrowYOffset - 30)
	// .transition().duration(1000)
	// 	.attr('y', eyebrowYOffset)


const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle:  Math.PI/2,
      endAngle:    Math.PI * 3/2
  }))

